# $Revision: 1.411 $, $Date: 2012/06/20 23:31:49 $
#
# Conditional build:
%bcond_without	alsa		# don't build ALSA mm driver
%bcond_without	capi		# don't build CAPI 2.0 (ISDN) support
%bcond_without	gstreamer	# don't build GStreamer filters support
%bcond_without	sane		# don't build TWAIN DLL with scanning support (through SANE)
%bcond_without	ldap		# don't build LDAP DLL
%bcond_without	cups		# without CUPS printing support in winspool,wineps DLLs
#
# NOTE: wine detects the following SONAMES for dlopen at build time:
#   libcrypto,libssl (wininet.dll)
#   libcups (winspool.dll.so,wineps.dll.so)
#   libcurses/libncurses (wineconsole program)
#   libfontconfig (gdi32.dll.so)
#   libfreetype (wineps.dll.so,gdi32.dll.so)
#   libGL (x11drv.dll.so,ddraw.dll.so)
#   libX11, libXext, libXi, libXrender (x11drv.dll.so)
#   libpng (windowscodecs.dll: SONAME_LIBPNG in dlls/windowscodecs/pngformat.c)
# thus requires rebuild after change of any of the above.

# library qualifier in rpm generated deps
%ifarch %{x8664} ia64 ppc64 s390x sparc64
%define	libqual ()(64bit)
%else
%define	libqual %{nil}
%endif

%define		gecko_ver	1.4
Summary:	Program that lets you launch Win applications
Summary(es.UTF-8):	Ejecuta programas Windows en Linux
Summary(pl.UTF-8):	Program pozwalający uruchamiać aplikacje Windows
Summary(pt_BR.UTF-8):	Executa programas Windows no Linux
Name:		wine
Version:	1.4.1
Release:	1
Epoch:		1
License:	LGPL
Group:		Applications/Emulators
Source0:	http://downloads.sourceforge.net/wine/%{name}-%{version}.tar.bz2
# Source0-md5:	0c28702ed478df7a1c097f3a9c4cabd6
Source1:	http://downloads.sourceforge.net/wine/%{name}_gecko-%{gecko_ver}-x86.msi
# Source1-md5:	700aaa08724be1992cffed7b87e79a44
Source2:	http://downloads.sourceforge.net/wine/%{name}_gecko-%{gecko_ver}-x86_64.msi
# Source2-md5:	7b4811f667fd01d300fdff68420a9c72
Source3:	%{name}-uninstaller.desktop
Patch0:		%{name}-fontcache.patch
Patch1:		%{name}-makedep.patch
Patch2:		%{name}-ncurses.patch
Patch4:		%{name}-disable-valgrind.patch
Patch5:		%{name}-ca_certificates.patch
Patch6:		%{name}-manpaths.patch
Patch7:		desktop.patch
URL:		http://www.winehq.org/
BuildRequires:	OpenAL-devel >= 1.1
BuildRequires:	OpenGL-GLU-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel}
%{?with_arts:BuildRequires:	artsc-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
%{?with_capi:BuildRequires:	capi4k-utils-devel}
%{?with_cups:BuildRequires:	cups-devel}
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	docbook-utils
BuildRequires:	flex
BuildRequires:	fontconfig-devel
BuildRequires:	fontforge
BuildRequires:	freetype-devel >= 2.0.5
BuildRequires:	fslint
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	gnutls-devel
%{?with_gstreamer:BuildRequires:	gstreamer-plugins-base-devel}
BuildRequires:	icoutils
BuildRequires:	lcms-devel
BuildRequires:	libgphoto2-devel
BuildRequires:	libgsm-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmpg123-devel >= 1.5.0
BuildRequires:	libtool
BuildRequires:	libv4l-devel
BuildRequires:	libxslt-devel
BuildRequires:	ncurses-devel
# db2* failed previously - probably openjade or opensp bug
BuildRequires:	libpng-devel >= 1.5
BuildRequires:	openjade >= 1:1.3.3-0.pre1
%{?with_ldap:BuildRequires:	openldap-devel}
BuildRequires:	opensp >= 1:1.5.1
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	prelink
%{?with_sane:BuildRequires:	sane-backends-devel}
BuildRequires:	unixODBC-devel >= 2.2.12-2
#BuildRequires:	valgrind
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXxf86dga-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
Requires:	libfreetype.so.6%{libqual}
Requires:	libpng15.so.15%{libqual}
Requires(post):	/sbin/ldconfig
Suggests:	binfmt-detector
Suggests:	ca-certificates
Suggests:	cabextract
Conflicts:	ca-certificates < 20080809-4
# for printing needs lpr
Suggests:	cups-clients
# for winelauncher
Suggests:	xorg-app-xmessage
# for ntlm_auth
Suggests:	samba-common >= 1:3.0.25
# link to wine/ntdll.dll.so, without any SONAME
Provides:	libntdll.dll.so
Obsoletes:	wine-doc-pdf
Obsoletes:	wine-drv-arts
Obsoletes:	wine-drv-jack
Obsoletes:	wine-drv-nas
ExclusiveArch:	%{ix86} %{x8664}
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep		libGL.so.1 libGLU.so.1
%define		no_install_post_strip	1

%define		_winedir		%{_datadir}/%{name}

%description
Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix. It
consists of a program loader which loads and executes a Microsoft
Windows binary, and a library that implements Windows API calls using
their Unix or X11 equivalents. The library may also be used for
porting Win32 code into native Unix executables.

%description -l es.UTF-8
Ejecuta programas Windows en Linux.

%description -l pl.UTF-8
Wine jest programem dzięki któremu można uruchamiać programy napisane
dla Microsoft Windows pod systemami uniksowymi. Składa się on z
loadera, który pozwala wczytywać i uruchamiać programy w formacie
Microsoft Windows, oraz z biblioteki, która implementuje API Windows
przy użyciu odpowiedników uniksowych oraz z X11. Biblioteka może być
także wykorzystana do przenoszenia aplikacji Win32 do Uniksa.

%description -l pt_BR.UTF-8
O Wine é um programa que permite rodar programas MS-Windows no X11.
Ele consiste de um carregador de programa, que carrega e executa um
binário MS-Windows, e de uma biblioteca de emulação que traduz as
chamadas da API para as equivalentes Unix/X11.

%package devel
Summary:	Wine - header files
Summary(es.UTF-8):	Biblioteca de desarrollo de wine
Summary(pl.UTF-8):	Wine - pliki nagłowkowe
Summary(pt_BR.UTF-8):	Biblioteca de desenvolvimento do wine
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Wine - header files.

%description devel -l es.UTF-8
Biblioteca de desarrollo de wine.

%description devel -l pl.UTF-8
Wine - pliki nagłówkowe.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão e bibliotecas para desenvolver aplicações com o
WINE.

%package programs
Summary:	Wine - programs
Summary(pl.UTF-8):	Wine - programy
Group:		Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description programs
Wine - programs.

%description programs -l pl.UTF-8
Wine - programy.

%package dll-capi
Summary:	CAPI 2.0 (ISDN) implementation DLLs for Wine
Summary(pl.UTF-8):	Biblioteki DLL z implementacją CAPI 2.0 (ISDN) dla Wine
Group:		Applications/Emulators
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dll-capi
CAPI 2.0 (ISDN) implementation DLLs for Wine (through OpenGL).

%description dll-capi -l pl.UTF-8
Biblioteki DLL z implementacją CAPI 2.0 (ISDN) dla Wine (poprzez
OpenGL).

%package dll-d3d
Summary:	Direct3D implementation DLLs for Wine
Summary(pl.UTF-8):	Biblioteki DLL z implementacją Direct3D dla Wine
Group:		Applications/Emulators
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	OpenGL

%description dll-d3d
Direct3D implementation DLLs for Wine (through OpenGL).

%description dll-d3d -l pl.UTF-8
Biblioteki DLL z implementacją Direct3D dla Wine (poprzez OpenGL).

%package dll-gl
Summary:	OpenGL implementation DLLs for Wine
Summary(pl.UTF-8):	Biblioteki DLL z implementacją OpenGL dla Wine
Group:		Applications/Emulators
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	OpenGL

%description dll-gl
OpenGL implementation DLLs for Wine.

%description dll-gl -l pl.UTF-8
Biblioteki DLL z implementacją OpenGL dla Wine.

%package dll-twain
Summary:	TWAIN implementation DLL for Wine
Summary(pl.UTF-8):	Biblioteka DLL z implementacją TWAIN dla Wine
Group:		Applications/Emulators
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dll-twain
TWAIN implementation DLL for Wine (through SANE).

%description dll-twain -l pl.UTF-8
Biblioteka DLL z implementacją TWAIN dla Wine (poprzez SANE).

%package dll-ldap
Summary:	Win32 LDAP API DLL for Wine
Group:		Applications/Emulators
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dll-ldap
Lightweight Directory Access Protocol Library.

%package drv-alsa
Summary:	ALSA driver for WINE mm.dll implementation
Summary(pl.UTF-8):	Sterownik ALSA dla implementacji mm.dll w Wine
Group:		Applications/Emulators
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description drv-alsa
ALSA driver for WINE mm.dll (multimedia system) implementation.

%description drv-alsa -l pl.UTF-8
Sterownik ALSA dla implementacji mm.dll (systemu multimediów) w Wine.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
icotool -x --width=32 --height=32 --bit-depth=32 -o . dlls/user32/resources/oic_winlogo.ico
mv -f oic_winlogo_*.png %{name}.png

%{__autoconf}
%{__autoheader}
%configure \
%ifarch %{x8664}
	--enable-win64 \
%endif
	--with%{!?with_alsa:out}-alsa \
	--with%{!?with_capi:out}-capi \
	--with-cms \
	--with-coreaudio \
	--with%{!?with_cups:out}-cups \
	--with-curses \
	--with-fontconfig \
	--with-freetype \
	--with-glu \
	--with-gnutls \
	--with-gphoto \
	--with-gsm \
	--with%{!?with_gstreamer:out}-gstreamer \
	--with-jpeg \
	--with%{!?with_ldap:out}-ldap \
	--with-mpg123 \
	--with-opengl \
	--with-openssl \
	--with-oss \
	--with-png \
	--with-pthread \
	--with%{!?with_sane:out}-sane \
	--with-xcomposite \
	--with-xcursor \
	--with-xinerama \
	--with-xinput \
	--with-xml \
	--with-xrandr \
	--with-xrender \
	--with-xshape \
	--with-xshm \
	--with-xslt \
	--with-xxf86vm \
	--with-x
%{__make} depend
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_aclocaldir}}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

findup -m $RPM_BUILD_ROOT%{_winedir}/fakedlls

install -p tools/fnt2bdf $RPM_BUILD_ROOT%{_bindir}
cp -a aclocal.m4 $RPM_BUILD_ROOT%{_aclocaldir}/wine.m4

install -d \
	$RPM_BUILD_ROOT%{_winedir}/windows/{system,Desktop,Favorites,Fonts} \
	"$RPM_BUILD_ROOT%{_winedir}/windows/Start Menu/Programs/Startup" \
	$RPM_BUILD_ROOT%{_winedir}/windows/{SendTo,ShellNew,system32,NetHood} \
	$RPM_BUILD_ROOT%{_winedir}/windows/{Profiles/Administrator,Recent} \
	$RPM_BUILD_ROOT%{_winedir}/{"Program Files/Common Files","My Documents"}

touch $RPM_BUILD_ROOT%{_winedir}/{autoexec.bat,config.sys,windows/win.ini}
touch $RPM_BUILD_ROOT%{_winedir}/windows/system/{shell.dll,shell32.dll}
touch $RPM_BUILD_ROOT%{_winedir}/windows/system/{winsock.dll,wsock32.dll}

cat > $RPM_BUILD_ROOT%{_winedir}/windows/system.ini <<'EOF'
[mci]
cdaudio=mcicda.drv
sequencer=mciseq.drv
waveaudio=mciwave.drv
avivideo=mciavi.drv
videodisc=mcipionr.drv
vcr=mciviscd.drv
MPEGVideo=mciqtz.drv
EOF

# /sbin/chstk -e $RPM_BUILD_ROOT%{_bindir}/wine

dir=$(pwd)
> files.so
> files.programs
cd $RPM_BUILD_ROOT%{_libdir}/wine
for f in *.so; do
	case $f in
	d3d8.dll.so|d3d9.dll.so|d3dx8.dll.so|glu32.dll.so|opengl32.dll.so|sane.ds.so|twain.dll.so|twain_32.dll.so|winealsa.drv.so|wldap32.dll.so)
		;;
	*)
		echo "%attr(755,root,root) %{_libdir}/wine/$f" >> $dir/files.so
	esac
done
cd -

programs="notepad regedit regsvr32 wineconsole winefile winemine winepath"
for p in $programs; do
	echo "%attr(755,root,root) %{_bindir}/$p" >> files.programs
	echo "%attr(755,root,root) %{_libdir}/wine/$p.exe.so" >> files.programs
	echo "%{_mandir}/man1/$p.1*" >> files.programs
	grep -v "$p\.exe\.so$" files.so > files.so.
	mv -f files.so. files.so
done

install -d $RPM_BUILD_ROOT%{_winedir}/gecko
%ifnarch %{x8664}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_winedir}/gecko
%else
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_winedir}/gecko
%endif

install -d $RPM_BUILD_ROOT%{_pixmapsdir}
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
cp -p %{name}.png $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database

%postun -p /sbin/ldconfig

%triggerpostun -- wine < 1:0.9.12-1.9
rm -f /var/lock/subsys/wine
if [ -x /sbin/chkconfig ]; then
	/sbin/chkconfig --del wine
fi

%files -f files.so
%defattr(644,root,root,755)
%doc README documentation/ChangeLog* AUTHORS ANNOUNCE
%lang(de) %doc documentation/README.de
%lang(es) %doc documentation/README.es
%lang(fr) %doc documentation/README.fr
%lang(hu) %doc documentation/README.hu
%lang(it) %doc documentation/README.it
%lang(ko) %doc documentation/README.ko
%lang(nb) %doc documentation/README.no
%lang(pt) %doc documentation/README.pt
%lang(pt_BR) %doc documentation/README.pt_br
%lang(ru) %doc documentation/README.ru
%lang(sv) %doc documentation/README.sv
%lang(tr) %doc documentation/README.tr
%attr(755,root,root) %{_bindir}/msiexec
%ifnarch %{x8664}
%attr(755,root,root) %{_bindir}/wine
%else
%attr(755,root,root) %{_bindir}/wine64
%endif
%attr(755,root,root) %{_bindir}/wineboot
%attr(755,root,root) %{_bindir}/winedbg
%attr(755,root,root) %{_bindir}/winecfg
%ifnarch %{x8664}
%attr(755,root,root) %{_bindir}/wine-preloader
%else
%attr(755,root,root) %{_bindir}/wine64-preloader
%endif
%attr(755,root,root) %{_bindir}/wineserver
%attr(755,root,root) %{_libdir}/*.so*
%dir %{_libdir}/wine
%dir %{_libdir}/wine/fakedlls
%{_libdir}/wine/fakedlls/*.acm
%{_libdir}/wine/fakedlls/*.cpl
%{_libdir}/wine/fakedlls/*.dll
%ifarch %{ix86}
%{_libdir}/wine/fakedlls/*.dll16
%endif
%{_libdir}/wine/fakedlls/*.drv
%ifarch %{ix86}
%{_libdir}/wine/fakedlls/*.drv16
%endif
%{_libdir}/wine/fakedlls/*.ds
%{_libdir}/wine/fakedlls/*.exe
%ifarch %{ix86}
%{_libdir}/wine/fakedlls/*.exe16
%{_libdir}/wine/fakedlls/*.mod16
%endif
%{_libdir}/wine/fakedlls/*.ocx
%{_libdir}/wine/fakedlls/*.sys
%{_libdir}/wine/fakedlls/*.tlb
%ifarch %{ix86}
%{_libdir}/wine/fakedlls/*.vxd
%endif
%{_mandir}/man1/wine.1*
%lang(de) %{_mandir}/de/man1/wine*.1*
%lang(fr) %{_mandir}/fr/man1/wine*.1*
#%lang(pl) %{_mandir}/pl/man1/wine*.1*
%{_mandir}/man1/msiexec.1*
%{_mandir}/man1/wineboot.1*
%{_mandir}/man1/winecfg.1*
%{_mandir}/man1/winedbg.1*
%{_mandir}/man1/wineserver.1*
%{_winedir}
%{_desktopdir}/wine.desktop
%{_desktopdir}/wine-uninstaller.desktop
%{_pixmapsdir}/%{name}.png

%files programs -f files.programs
%defattr(644,root,root,755)

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fnt2bdf
%attr(755,root,root) %{_bindir}/function_grep.pl
%attr(755,root,root) %{_bindir}/widl
%attr(755,root,root) %{_bindir}/winebuild
%attr(755,root,root) %{_bindir}/winedump
%attr(755,root,root) %{_bindir}/wineg++
%attr(755,root,root) %{_bindir}/winegcc
%attr(755,root,root) %{_bindir}/winemaker
%attr(755,root,root) %{_bindir}/winecpp
%attr(755,root,root) %{_bindir}/wmc
%attr(755,root,root) %{_bindir}/wrc
%{_libdir}/wine/lib*.def
# no shared variants, so not separated
%{_libdir}/wine/lib*.def.a
%{_libdir}/wine/libadsiid.a
%{_libdir}/wine/libdx*.a
%{_libdir}/wine/libstrmbase.a
%{_libdir}/wine/libstrmiids.a
%{_libdir}/wine/libuuid.a
%{_libdir}/wine/libwinecrt0.a
%{_includedir}/wine
%{_mandir}/man1/widl.1*
%{_mandir}/man1/winebuild.1*
%{_mandir}/man1/winecpp.1*
%{_mandir}/man1/winedump.1*
%{_mandir}/man1/winegcc.1*
%{_mandir}/man1/wineg++.1*
%{_mandir}/man1/winemaker.1*
%lang(de) %{_mandir}/de/man1/winemaker.1*
%lang(fr) %{_mandir}/fr/man1/winemaker.1*
%{_mandir}/man1/wmc.1*
%{_mandir}/man1/wrc.1*
%{_aclocaldir}/*.m4

%files dll-capi
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/wine/capi2032.dll.so

%files dll-d3d
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/wine/d3d8.dll.so
%attr(755,root,root) %{_libdir}/wine/d3d9.dll.so
%attr(755,root,root) %{_libdir}/wine/wined3d.dll.so

%files dll-gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/wine/glu32.dll.so
%attr(755,root,root) %{_libdir}/wine/opengl32.dll.so

%if %{with sane}
%files dll-twain
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/wine/sane.ds.so
%attr(755,root,root) %{_libdir}/wine/twain*.dll.so
%endif

%if %{with ldap}
%files dll-ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/wine/wldap*.dll.so
%endif

%if %{with alsa}
%files drv-alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/wine/winealsa.drv.so
%endif

# additional dependencies in *.so not separated (yet?) from main package
#   ddraw.dll.so,x11drv.dll.so depend on X11 libs
#   ole2disp.dll.so,oleaut32.dll.so,typelib.dll.so depend on lib(un)gif,libjpeg,libX11
#   ttydrv.dll.so depends on ncurses

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wine.spec,v $
Revision 1.411  2012/06/20 23:31:49  sls
- ver. 1.4.1

Revision 1.410  2012/05/12 12:58:04  glen
- cleanups

Revision 1.409  2012/05/12 11:04:34  pluto
- reenable debuginfo, builds/works for me.

Revision 1.408  2012/05/11 22:46:57  glen
- hardlink identical fakedlls

Revision 1.407  2012/05/11 19:11:39  glen
- there's no pl man

Revision 1.406  2012/05/11 16:41:27  glen
- restore library qualifier (lost in r1.404 merge)

Revision 1.405  2012/05/11 16:15:53  glen
- ensure proper libpng at runtime (does this need lib64 qualifier?)

Revision 1.404  2012/04/10 15:06:29  mmazur
- updated to the currently stable 1.4 (taken from DEVEL)
- works for me, so rel1 and stbr I guess

Revision 1.391.2.53  2012/04/10 13:07:49  mmazur
- up to 1.5.1, current dev version

Revision 1.391.2.52  2012/02/27 14:44:09  lisu
- up to 1.4-rc5

Revision 1.391.2.51  2012/02/17 23:13:37  lisu
- up to 1.4-rc4

Revision 1.391.2.50  2012/02/12 21:30:21  lisu
- updated to 1.4-rc3

Revision 1.391.2.49  2012/01/18 22:54:21  glen
- dll-ldap subpackage; ldap bcond

Revision 1.391.2.48  2012/01/01 18:57:15  arvenil
- up to 1.3.36
- restored pl man page
- dropped unused configure option

Revision 1.391.2.47  2011/12/23 09:08:57  lisu
- 1.3.35

Revision 1.391.2.46  2011/12/06 08:35:34  lisu
- 1.3.34

Revision 1.391.2.45  2011/11/22 20:10:15  charles
- updated to 1.3.33
- gecko up to 1.4
- rm obsoleted BR: hal-devel

Revision 1.391.2.44  2011/10/31 08:56:29  lisu
- updated to 1.3.31

Revision 1.391.2.43  2011/09/26 09:05:08  lisu
- 1.3.29

Revision 1.391.2.42  2011/09/18 21:25:22  glen
- update-desktop-database (.desktop specifies MimeType)

Revision 1.391.2.41  2011/09/09 18:57:44  lisu
- package polish man page

Revision 1.391.2.40  2011/09/09 18:33:26  lisu
- up to 1.3.28

Revision 1.391.2.39  2011/08/30 08:20:47  lisu
- updated gecko engine to 1.3

Revision 1.391.2.38  2011/08/27 11:28:04  lisu
- updated to 1.3.27

Revision 1.391.2.37  2011/08/07 14:10:19  lisu
- 1.3.26

Revision 1.391.2.36  2011/07/29 14:18:08  lisu
- O: wine-drv-jack, wine-drv-nas

Revision 1.391.2.35  2011/07/29 14:03:13  lisu
- get rid of Jack, NAS and ESD drivers (obsoleted, dropped by upstream)

Revision 1.391.2.34  2011/07/29 12:51:45  lisu
- updated to 1.3.25

Revision 1.391.2.33  2011/07/08 19:49:26  lisu
- updated to 1.3.24

Revision 1.391.2.32  2011/06/27 07:34:57  lisu
- updated to 1.3.23

Revision 1.391.2.31  2011/06/12 16:51:44  lisu
- updated to 1.3.22

Revision 1.391.2.30  2011/05/30 11:37:02  lisu
- updated to 1.3.21

Revision 1.391.2.29  2011/05/14 11:30:21  arvenil
- up to 1.3.20

Revision 1.391.2.28  2011/05/03 16:27:57  lisu
- updated to 1.3.19

Revision 1.391.2.27  2011/04/17 19:18:41  lisu
- updated to 1.3.18

Revision 1.391.2.26  2011/04/04 18:33:52  evil
- s/gstramer/gstreamer/

Revision 1.391.2.25  2011/04/03 12:49:23  wolf
- 1.3.17

Revision 1.391.2.24  2011/03/21 13:33:11  lisu
- up to 1.3.16
- gecko new version is 1.2.0
- add gecko for x86_64
- -notarget.patch is obsoleted

Revision 1.391.2.23  2011/03/05 21:11:58  lisu
- up to 1.3.15

Revision 1.391.2.22  2011/02/19 23:16:03  evil
- added CAPI 2.0 (ISDN) support
- removed deprecated TODOs

Revision 1.391.2.21  2011/02/19 22:04:02  evil
- up to 1.3.14
- added x8664 as second ExclusiveArch, and added rules allowing building wine64(Win64/PE64 compatible)
- cosmetic fixes

Revision 1.391.2.20  2011/02/07 08:00:04  lisu
- rel 0.1
- TODO

Revision 1.391.2.19  2011/02/05 23:46:14  charles
- BR: prelink

Revision 1.391.2.18  2011/02/05 15:28:44  lisu
- up to 1.3.13

Revision 1.391.2.17  2011/01/25 11:18:17  charles
- BR: gettext-devel

Revision 1.391.2.16  2011/01/24 18:35:52  lisu
- up to 1.3.12

Revision 1.391.2.15  2011/01/10 11:45:18  lisu
- up to 1.3.11

Revision 1.391.2.14  2010/12/25 14:36:53  arvenil
- up to 1.3.10 (just md5)

Revision 1.391.2.13  2010/12/21 23:42:33  glen
- add Comment to wine.desktop, appears in open with dialog as description

Revision 1.391.2.12  2010/12/21 23:32:06  glen
- install icon properly (not create dir by icon name)
- misc cosmetics

Revision 1.391.2.11  2010/12/16 14:00:55  lisu
- drop duplicate manpages

Revision 1.391.2.10  2010/12/10 23:45:44  lisu
- 1.3.9
- more man pages

Revision 1.391.2.9  2010/12/04 19:46:29  lisu
- S: cabextract

Revision 1.391.2.8  2010/11/28 16:12:30  adamg
- updated to 1.3.8

Revision 1.391.2.7  2010/11/15 08:30:48  lisu
- 1.3.7

Revision 1.391.2.6  2010/11/01 12:30:12  adamg
- updated to 1.3.6
- gstreamer bcond

Revision 1.391.2.5  2010/10/19 11:39:28  lisu
- 1.3.5

Revision 1.391.2.4  2010/10/06 10:09:03  lisu
- 1.3.4

Revision 1.391.2.3  2010/09/19 11:15:30  lisu
- up to 1.3.3

Revision 1.391.2.2  2010/09/04 09:59:38  charles
- updated to 1.3.2

Revision 1.391.2.1  2010/08/21 15:21:08  lisu
- updated to development 1.3.1 version

Revision 1.391  2010/07/23 08:29:29  baggins
- rel 2
- package gecko a.k.a. Wine's IE

Revision 1.390  2010/07/22 12:51:54  baggins
- rel 1

Revision 1.389  2010/07/17 17:55:53  shadzik
- 1.2, not tested, rel 0.1

Revision 1.388  2010/06/19 17:56:54  adamg
- updated to 1.2-rc4

Revision 1.387  2010/06/11 17:48:58  charles
- updated to 1.2-rc2

Revision 1.386  2010/06/03 11:24:38  baggins
- rel 2
- esound is dead

Revision 1.385  2010/06/01 15:55:17  sls
- BR: libmpg123-devel >= 1.5.0

Revision 1.384  2010/05/16 21:45:55  adamg
- updated to 1.1.44; wineprefixcreate dropped upstream

Revision 1.383  2010/04/20 19:50:17  charles
- updated to 1.1.43
- updated BRs & %files

Revision 1.382  2010/04/12 20:22:54  charles
- updated to 1.1.42
- fixed %files -programs (listed twice)

Revision 1.381  2010/03/20 14:37:37  charles
- updated to 1.1.41

Revision 1.380  2010/03/07 21:05:59  evil
- up to 1.1.40

Revision 1.379  2010/02/19 23:15:16  charles
- up to 1.1.39

Revision 1.378  2010/01/23 18:39:22  amateja
- updated to 1.1.37

Revision 1.377  2010/01/18 23:43:52  charles
- updated to 1.1.36
- cleanups

Revision 1.376  2009/12/25 00:20:23  charles
- BR OpenAL-devel

Revision 1.375  2009/12/19 12:52:32  amateja
- updated to 1.1.35

Revision 1.374  2009/12/07 08:38:26  amateja
- updated to 1.1.34

Revision 1.373  2009/11/13 21:04:52  amateja
- updated to 1.1.33

Revision 1.372  2009/10/26 22:28:04  w.kier
-  suggests cups-clients - lpr for printing

Revision 1.371  2009/10/24 11:01:43  adamg
- updated to 1.1.13

Revision 1.370  2009/10/11 16:48:37  amateja
- updated to 1.1.31

Revision 1.369  2009/09/28 07:23:36  amateja
- updated to 1.1.30

Revision 1.368  2009/09/08 22:01:37  arvenil
- BR: libgsm-devel (GSM 06.10 codec support)
- BR: libmpg123-devel (mpg123 support)
- cleanup in configure options
- release 2

Revision 1.367  2009/09/03 09:04:25  amateja
- updated to 1.1.29

Revision 1.366  2009/08/23 12:42:38  amateja
- updated to 1.1.28

Revision 1.365  2009/08/09 19:11:41  adamg
- updated to 1.1.27

Revision 1.364  2009/07/24 17:42:21  adamg
- updated to 1.1.26; d3dx8 merged into d3d9

Revision 1.363  2009/07/03 22:35:38  adamg
- updated to 1.1.25

Revision 1.362  2009/06/20 11:10:35  wolf
- 1.1.24

Revision 1.361  2009/06/09 11:43:26  wolvverine
- add patch: Bug 17296,STBR

Revision 1.360  2009/06/07 15:20:49  adamg
- updated to 1.1.23

Revision 1.359  2009/05/23 21:02:08  adamg
- updated to 1.1.22

Revision 1.358  2009/05/09 22:35:27  adamg
- updated to 1.1.21

Revision 1.357  2009/04/25 08:57:52  adamg
- updated to 1.1.20

Revision 1.356  2009/04/12 07:06:21  adamg
- updated to 1.1.19

Revision 1.355  2009/03/28 13:14:41  qwiat
- upgrade to 1.1.18

Revision 1.354  2009/03/16 16:29:13  wolvverine
- %files

Revision 1.353  2009/03/16 16:07:25  wolvverine
- up to 1.1.17

Revision 1.352  2009/03/07 08:04:54  charles
- BR: unixODBC-devel

Revision 1.351  2009/02/28 14:11:41  adamg
- manpaths fix; release 2

Revision 1.350  2009/02/28 00:22:38  adamg
- updated to 1.1.16
- upstream decided not to install progman, uninstaller and winebrowser by
  default, should we?

Revision 1.349  2009/02/25 15:06:13  hawk
- updated md5

Revision 1.348  2009/02/25 14:04:35  arekm
- up to 1.1.15

Revision 1.347  2009/02/08 00:20:15  adamg
- release 1; builds for me

Revision 1.346  2009/01/31 18:28:09  arvenil
- up to 1.1.14
- release 0.1 (doesn't build for me)

Revision 1.345  2009/01/17 09:04:39  qwiat
- up to 1.1.13

Revision 1.344  2009/01/02 17:40:43  adamg
- updated to 1.1.12

Revision 1.343  2008/12/20 20:54:12  adamg
- updated to 1.1.11

Revision 1.342  2008/12/06 19:04:05  patrys
- 1.1.10
- patch3 is for bug marked as fixed over a year ago

Revision 1.341  2008/11/24 21:54:41  glen
- require 32bit freetype

Revision 1.340  2008/11/22 12:11:11  charles
- updated to 1.1.9

Revision 1.339  2008/11/17 18:56:06  blues
- ca-certificates aren't required to use wine.

Revision 1.338  2008/11/17 11:27:01  glen
- versioned ca-certificates dep

Revision 1.337  2008/11/17 10:50:35  lkrotowski
- added patch witch ca-certificates.crt location

Revision 1.336  2008/11/07 21:58:34  arvenil
- up to 1.1.8

Revision 1.335  2008/10/24 17:10:22  adamg
- updated to 1.1.7

Revision 1.334  2008/10/10 18:23:34  adamg
- updated to 1.1.6
- BuildRequires: gnutls-devel

Revision 1.333  2008/09/19 18:23:20  adamg
- updated to 1.1.5

Revision 1.332  2008/09/08 05:55:37  qboosh
- not Solaris or MacOS

Revision 1.331  2008/09/07 12:19:32  arvenil
- added configure options for bconds
- added all other configure options
- added TODO
- adapter

Revision 1.330  2008/09/06 20:19:31  arvenil
- added a lot of missing BRs
- removed configure options which doesn't exist
- added (partial) configure options to force build with additional features
- removed note about broken wineconsole, bug is marked as fixed since 1.0rc1
  and for me wineconsole works fine
- release 2

Revision 1.329  2008/09/05 22:19:04  adamg
- updated to 1.1.4

Revision 1.328  2008/08/24 09:43:46  rotom
- up to 1.1.3

Revision 1.327  2008/07/25 18:35:38  adamg
- updated to 1.1.2

Revision 1.326  2008/07/12 10:46:48  charles
- BR: libxslt-devel

Revision 1.325  2008/07/12 00:13:15  adamg
- updated to 1.1.1

Revision 1.324  2008/07/08 14:05:44  blues
- rel.2

Revision 1.323  2008/06/27 22:40:58  adamg
- updated to 1.1.0

Revision 1.322  2008/06/17 15:02:35  adamg
- updated to 1.0 !

Revision 1.321  2008/06/13 19:01:15  adamg
- updated to 1.0-rc5

Revision 1.320  2008-06-07 18:02:32  adamg
- updated to 1.0-rc4

Revision 1.319  2008-05-30 17:00:09  adamg
- updated to 1.0-rc3

Revision 1.318  2008-05-23 23:33:03  wolf
- 1.0 rc2

Revision 1.317  2008-05-10 07:17:45  qboosh
- unified (_rc -> subver), precede release with 0. to avoid epoch bump

Revision 1.316  2008-05-10 03:33:50  charles
- up to 1.0-rc1

Revision 1.315  2008-05-05 14:35:50  glen
- revert openldap version bump

Revision 1.314  2008-05-05 14:31:05  glen
- add uninstaller desktop entry; rel 2

Revision 1.313  2008-05-03 21:37:33  cactus
- up to 0.9.61

Revision 1.312  2008-05-02 09:54:19  glen
- version to ntlm_auth

Revision 1.311  2008-05-02 09:53:38  glen
- S: samba-common for ntlm_auth

Revision 1.310  2008-04-19 08:51:16  twittner
- up to 0.9.60
- winelauncher was removed from install rules (it is mentioned in ChangeLog
  but with no reason)
- IE 6.0, OO 2.4 seem work correctly, but one old application has broken
  splashscreen and always starts with very small window - this is regresion
  since wine-0.9.59

Revision 1.309  2008-04-05 13:17:03  arvenil
- proper update (mising md5, unpackaged files)

Revision 1.308  2008-04-05 11:12:40  arvenil
- up to 0.9.59

Revision 1.307  2008-03-22 18:25:35  wolf
- 0.9.58

Revision 1.306  2008-03-08 13:09:31  twittner
- up to 0.9.57

Revision 1.305  2008-02-22 22:50:45  rotom
- 0.9.56

Revision 1.304  2008-01-30 15:28:39  twittner
- add wineg++.1* to files (contains only .so winegcc.1)

Revision 1.303  2008-01-26 00:01:35  wolf
- 0.9.54

Revision 1.302  2008-01-12 21:26:34  arekm
- up to 0.9.53

Revision 1.301  2007-12-28 21:25:02  arvenil
- up to 0.9.52

Revision 1.300  2007-12-16 21:16:21  wolf
- don't require valgrind (wine is not compatible with 3.3.0)

Revision 1.299  2007-12-14 22:24:47  arvenil
- up to 0.9.51

Revision 1.298  2007-12-09 13:55:10  blues
- suggests xmessage

Revision 1.297  2007-12-01 17:45:26  rotom
- up to 0.9.50

Revision 1.296  2007/11/10 21:38:14  rotom
- up to 0.9.49
- wine-wldap32.patch obsoletes

Revision 1.295  2007/11/06 16:00:32  wolvverine
- rel.4 - new Patch4

Revision 1.294  2007/11/06 14:51:50  wolvverine
- Patch4:fix build wine with ldap 2.4

Revision 1.293  2007/11/03 15:15:59  baggins
- rel 2
- BR openldap-devel

Revision 1.292  2007/10/27 22:17:01  rotom
- up to 0.9.48

Revision 1.291  2007/10/14 14:41:37  rotom
- up to 0.9.47

Revision 1.290  2007/09/30 16:03:40  twittner
- rel. 1 (builds, tested)

Revision 1.289  2007/09/30 15:05:40  twittner
- up to 0.9.46
- rel. 0.1 (not tested, carme-i686 is currently unavaible)

Revision 1.288  2007/09/22 10:26:54  wolf
- S: binfmt-detector

Revision 1.287  2007/09/15 08:08:11  adamg
- updated to 0.9.45

Revision 1.286  2007/08/24 22:56:20  adamg
- updated to 0.9.44

Revision 1.285  2007/08/11 19:53:08  blues
- 0.9.43 - bug workaround patch

Revision 1.284  2007/08/01 17:04:14  shadzik
- 0.9.42

Revision 1.283  2007/07/14 22:10:08  twittner
- added wine bugzilla reference to wineconsole bug mentioned erlier

Revision 1.282  2007/07/14 19:36:50  twittner
- up to 0.9.41
- NOTE about broken wineconsole (the same goes with previous
  version of wine - 0.9.40)

Revision 1.281  2007/07/01 19:53:41  arekm
- up to 0.9.40

Revision 1.280  2007/06/22 07:04:22  glen
- hmm! suggests behaves as requires, so disable it; rel 3

Revision 1.279  2007/06/21 13:58:02  glen
- suggests binfmt-detector not requires; rel 2

Revision 1.278  2007/06/16 07:14:08  rotom
- up to 0.9.39

Revision 1.277  2007/06/04 14:56:42  rotom
- up to 0.9.38

Revision 1.276  2007/05/17 07:22:14  pascalek
- updated to 0.9.37

Revision 1.275  2007/04/27 19:43:47  shadzik
- 0.9.36

Revision 1.274  2007/04/14 13:44:31  rotom
- Obsoletes: wine-drv-arts

Revision 1.273  2007/04/14 12:49:35  rotom
- up to 0.9.35
- The broken aRts sound driver has been removed for good.

Revision 1.272  2007/03/31 11:56:20  qboosh
- Obsoletes for old wine-doc-pdf package

Revision 1.271  2007/03/31 09:23:12  twittner
- ExcludeArch: i386 (from Ac-branch)

Revision 1.270  2007/03/30 22:12:42  wolf
- 0.9.34

Revision 1.269  2007/03/17 15:43:31  rotom
- up to 0.9.33

Revision 1.268  2007/03/04 11:11:10  rotom
- up to 0.9.32

Revision 1.267  2007/02/23 16:30:48  wolvverine
- up to 0.9.31

Revision 1.266  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.265  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.264  2007/01/27 15:15:49  pascalek
- up to 0.9.30

Revision 1.263  2007/01/16 18:04:09  shadzik
- disable debuginfocflags - it somehow breaks build in this version
- rel 2

Revision 1.262  2007/01/10 02:33:59  shadzik
- 0.9.29

Revision 1.261  2006/12/24 10:25:24  qboosh
- merged update to 0.9.28 from AC-branch

Revision 1.260  2006/12/09 12:05:13  qboosh
- glut32 has been removed

Revision 1.259  2006/12/09 04:06:05  shadzik
- 0.9.27

Revision 1.258  2006/11/24 18:36:01  shadzik
- 0.9.26

Revision 1.257  2006/11/13 15:06:00  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.256  2006/11/11 02:17:35  wolf
- 0.9.25

Revision 1.255  2006/10/28 00:29:34  shadzik
- 0.9.24

Revision 1.254  2006/10/13 22:14:31  shadzik
- 0.9.23

Revision 1.253  2006/10/01 18:23:59  arekm
- 0.9.22

Revision 1.252  2006/09/14 20:23:19  wolf
- 0.9.21

Revision 1.251  2006/08/26 07:53:17  qboosh
- added wineprefixcreate(1) manual

Revision 1.250  2006/08/25 18:34:57  wolf
- 0.9.20

Revision 1.249  2006/08/22 14:53:30  glen
- simplify trigger

Revision 1.248  2006/08/10 19:58:08  wolf
- BR: valgrind

Revision 1.247  2006/08/10 16:56:47  havner
- 0.9.19

Revision 1.246  2006/08/10 08:40:12  qboosh
- release 2

Revision 1.245  2006/08/10 05:25:54  qboosh
- don't try to stop wine service in trigger, binfmt-detector just overrides it

Revision 1.244  2006/07/28 09:50:32  charles
- updated to 0.9.18

Revision 1.243  2006/07/11 12:16:23  shadzik
- up to 0.9.17

Revision 1.242  2006/06/22 00:27:54  shadzik
- up to 0.9.16

Revision 1.241  2006/06/09 13:59:35  charles
- removed redundant R(post,postun) /sbin/ldconfig

Revision 1.240  2006/06/09 13:38:29  charles
- updated to 0.9.15

Revision 1.239  2006/05/26 23:23:42  qboosh
- s/libungif/giflib/ in deps

Revision 1.238  2006/05/26 14:30:28  wolf
- 0.9.14

Revision 1.237  2006/05/19 11:36:07  witekfl
- added ncurses.patch
- rel 2

Revision 1.236  2006/05/16 19:01:21  qboosh
- added triggerpostun to unregister wine service on upgrade

Revision 1.235  2006/05/15 17:21:43  wolf
- 0.9.13

Revision 1.234  2006/05/01 16:06:23  wolf
- R: binfmt-detector
- TODO: properly remove wine service
- rel 1.9

Revision 1.233  2006/04/16 11:44:18  wolf
- 0.9.12

Revision 1.232  2006/04/04 12:55:08  wolf
- 0.9.11

Revision 1.231  2006/03/19 14:47:09  qboosh
- glut32.ddl.so moved to -dll-gl, added glut-devel BR

Revision 1.230  2006/03/16 19:28:47  wolf
- 0.9.10

Revision 1.229  2006/03/06 13:37:39  charles
- removed outdated -d3d9patch.patch (with bcond)

Revision 1.228  2006/03/03 22:23:17  wolf
- missing -devel in BRs

Revision 1.227  2006/03/03 22:10:01  wolf
- 0.9.9
- modular xorg deps

Revision 1.226  2006/02/16 02:46:22  wolf
- 0.9.8

Revision 1.225  2006/02/02 20:14:47  qboosh
- use lang(nb) for Bokmaal

Revision 1.224  2006/02/02 20:05:57  wolf
- really updated

Revision 1.223  2006/02/02 19:54:20  paszczus
- ups, x86 only

Revision 1.222  2006/02/02 19:53:41  paszczus
- updated to 0.9.7

Revision 1.221  2006/01/20 05:10:32  aredridel
- up to 0.9.6

Revision 1.220  2006/01/17 15:50:50  baggins
- release 2
- rebuild with openldap 2.3

Revision 1.219  2006/01/06 11:40:37  wolf
- 0.9.5

Revision 1.218  2005/12/22 20:55:55  wolf
- 0.9.4

Revision 1.217  2005/12/10 06:34:12  aredridel
- up to 0.9.3

Revision 1.216  2005/11/26 09:25:09  qboosh
- more devel files

Revision 1.215  2005/11/22 20:30:09  wolf
- 0.9.2

Revision 1.214  2005/11/10 09:42:08  speedo
- updated to 0.9.1

Revision 1.213  2005/10/25 17:20:53  wolf
- 0.9

Revision 1.212  2005/10/07 14:23:24  wolf
- 20050930

Revision 1.211  2005/09/01 20:16:07  qboosh
- removed unneeded ncurses patch

Revision 1.210  2005/08/30 21:28:34  paszczus
- temporary (or maybe not?) commented wine-ncurses.patch

Revision 1.209  2005/08/30 21:08:44  paszczus
- updated to 20050830
- updated wine-ncurses.patch

Revision 1.208  2005/07/25 21:06:49  wolf
- 20050725
- cleanup

Revision 1.207  2005/06/29 13:23:26  ankry
- %lang fix

Revision 1.206  2005/06/29 12:55:17  wolf
- 20050628

Revision 1.205  2005/06/06 16:09:28  qboosh
- added alsa patch, now builds with alsa 1.0.9

Revision 1.204  2005/05/30 12:58:40  twittner
- removed {pdf,html}-docs packages and related bconds. Since Wine-20050524
  (this release) SGML documentation moved out of the source tree.

Revision 1.203  2005/05/29 15:56:52  wolf
- 20050524

Revision 1.202  2005/05/09 15:58:52  luzik
- added bcond with d3d9(that patch freez my desktop)

Revision 1.201  2005/04/22 19:35:05  averne
- fixed d3d9 patch

Revision 1.200  2005/04/22 15:24:57  charles
- updated to 20050419
- updated d3d9 patch

Revision 1.199  2005/04/17 19:43:45  witekfl
- changed URL for patch5 to "working" one.

Revision 1.198  2005/04/06 06:41:24  charles
- moved twain.dll.so (symlink) to -dll-twain

Revision 1.197  2005/03/20 09:05:26  paszczus
- added DirectX support for wine
- release 1.1 - for tests

Revision 1.196  2005/03/11 15:18:06  wolf
- 20050310

Revision 1.195  2005/02/21 17:22:06  qboosh
- added doc patch (SGML syntax fix)
- package winegcc(1) manual

Revision 1.194  2005/02/19 01:52:13  wolf
- 20050211

Revision 1.193  2005/01/15 23:02:31  wolf
- 20050111
